//
//	BaseItem.h
//
//	Created on: Dec 4, 2019
//      Author: vagner
//

#pragma once

#include <string>

#include "vLog.h"
#include "vCommon.h"

namespace vCommon
{
	//	Элемент логирования.

	class LogItem
	{
	public:

		//	parent
		LogItem* parent;

		//	name
		std::string name;

		//	ctor
		LogItem ( LogItem* parent );

		//	ctor
		LogItem ( LogItem* parent, const std::string& name );

		//	Log
		void Log ( LMT mt, const std::string& msg );

		//	Logf
		void Logf ( LMT mt, const std::string& format, ... );
	};

} /* namespace vCommon */
