/*
 * vSignalHandling.h
 *
 *  Created on: Mar 15, 2018
 *      Author: vagner
 */

#pragma once

#include <signal.h>

#ifdef __KOS__
    #include <strict/c/signal.h>
#endif

typedef void (*StopCallback) ( );
typedef void (*StopCallback2) ( int signum );

namespace vCommon
{
	//-----------------------------------------------------------------------------
	//	vSignalHandling
	class vSignalHandling
	{
	public:

        //  Установить обработчик сигналов.
        static void setHandlers ( StopCallback _stop );

        //  Установить обработчик сигналов.
        static void setHandlers2 ( StopCallback2 _stop );

		//	Обработчик сигналов.
		static void signalHandler ( int signum );
	};

} /* namespace vups */
